/*******************************************************************************
* File Name: interrupt.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_interrupt_ALIASES_H) /* Pins interrupt_ALIASES_H */
#define CY_PINS_interrupt_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define interrupt_0			(interrupt__0__PC)
#define interrupt_0_PS		(interrupt__0__PS)
#define interrupt_0_PC		(interrupt__0__PC)
#define interrupt_0_DR		(interrupt__0__DR)
#define interrupt_0_SHIFT	(interrupt__0__SHIFT)
#define interrupt_0_INTR	((uint16)((uint16)0x0003u << (interrupt__0__SHIFT*2u)))

#define interrupt_INTR_ALL	 ((uint16)(interrupt_0_INTR))


#endif /* End Pins interrupt_ALIASES_H */


/* [] END OF FILE */
